Bug 220842 - yum-builddep doesn't work as documented using package names
yum-builddep doesn't work as documented using package names
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-12-27 15:58 EST by Todd Zullinger
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.0.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-22 11:14:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Todd Zullinger 2006-12-27 15:58:45 EST
Description of problem:
yum-builddep's man page states "The source RPM for the specified package must be
available in the Yum repository or it can be a local source RPM file."  This
used to work in prior versions but it currently not working.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Enable source repos in /etc/yum.repos.d/*.repo
2. Run yum-builddep <package>
3. Experience no joy
Actual results:
$ sudo yum-builddep rhythmbox
Setting up repositories
Error: No Package Matching rhythmbox.src

Expected results:
$ sudo yum-builddep rhythmbox
Setting up repositories
Transaction Summary
Install     64 Package(s)         
Update      18 Package(s)         
Remove       0 Package(s)         
[packages installed]

Additional info:
I'm not sure that I'm not missing something in my config or my understanding. 
This used to work and I found it quite handy.  I asked[1] on the yum-devel list
but got no replies.

[1] https://lists.dulug.duke.edu/pipermail/yum-devel/2006-December/002926.html
Comment 1 Panu Matilainen 2007-01-11 14:21:36 EST
Just committed a fix for this to yum-utils CVS. 
Comment 2 Todd Zullinger 2007-01-11 16:43:13 EST
Thanks Panu!  I didn't test it too much yet, but a quick test worked well. 
Should this get closed as UPSTREAM now or wait until a new yum-utils release is
made and then close as ERRATA?

Note You need to log in before you can comment on or make changes to this bug.